<style>

  .glyphicon.glyphicon-asterisk {
  font-size: 6px;
  }
</style>
<header class="main-header">
  <!-- Logo -->
  <a href="#/testBookList" class="logo">
    <img src="img/logo_trans_back_143x59.png" alt="Logo">
    <!-- mini logo for sidebar mini 50x50 pixels -->
    <span class="logo-mini"><b>A</b>LT</span>
    <!-- logo for regular state and mobile devices -->
    <span class="logo-lg"><b>Lucent</b> Publication</span>
  </a>
  <!-- Header Navbar: style can be found in header.less -->
  <nav class="navbar navbar-static-top" role="navigation">

    <div class="navbar-custom-menu">
      <ul class="nav navbar-nav">
        <!--<li><a href="#/signUp"> <span class="glyphicon glyphicon-log-in"></span>  Sign Up</a></li>-->
        <li><a href="#/"><span class="glyphicon glyphicon-new-window"></span>  Login </a></li>

      </ul>
    </div>


  </nav>
</header>

  <div style="width:520px; margin:0 auto; height: auto" ng-controller="LoginController">
    <div class="container">
      <form  name="formx"  ng-submit="login(user)">
        <div class="col-md-5" style=" margin-top: 140px; margin-bottom: 400px;"  >
        <div class="box box-default box-solid" style="cursor: default;">
          <div class="box-header with-border">
            <h2 class="box-title"><span class="glyphicon glyphicon-user"></span> &nbsp;&nbsp; Login </h2>
          </div>
        <div class="box-body">
          <div class="callout callout-danger" ng-if="error"><b>{{error}}</b></div><br>
          <div class="form-group" ng-class="{ 'has-error' : formx.UserName.$invalid && formx.UserName.$touched}">
            <label>Username<sup><span class="glyphicon glyphicon-asterisk" style="color:red"></span></sup></label>
            <input type="text" name='UserName' ng-model='user.username' required="" placeholder="Enter Username" class="form-control">
              <div class="error text-danger" style="position: absolute;margin-left: 120px;" ng-show="formx.UserName.$error.required && (formx.$submitted || formx.UserName.$touched)"><p>UserName is required</p></div>
          </div>
          <div class="form-group" ng-class="{ 'has-error' : formx.Password.$invalid && formx.Password.$touched }">
            <label>Password<sup><span class="glyphicon glyphicon-asterisk " style="color:red"></span></sup></label>
            <input type="password" name='Password'   ng-model='user.password'  placeholder="Enter Password " class="form-control" required="">
              <div class="error text-danger" style="position: absolute;margin-left: 120px;"  ng-show="formx.Password.$error.required && (formx.$submitted || formx.Password.$touched)"><p>Password is required</p></div>
          </div>
        </div>
        <div class="box-footer">
          <button style="float:right" ng-disabled="formx.UserName.$invalid || formx.Password.$invalid" type="submit" class="btn btn-info">Login</button>


        </div>
        </div>
         <!-- <a style="float:right" href="#/signUp" >Create a new account</a>-->
        </div>
      </form>
    </div>
    </div>


<div class="sk-fading-circle" ng-show="isLoading">
  <div class="sk-circle1 sk-circle"></div>
  <div class="sk-circle2 sk-circle"></div>
  <div class="sk-circle3 sk-circle"></div>
  <div class="sk-circle4 sk-circle"></div>
  <div class="sk-circle5 sk-circle"></div>
  <div class="sk-circle6 sk-circle"></div>
  <div class="sk-circle7 sk-circle"></div>
  <div class="sk-circle8 sk-circle"></div>
  <div class="sk-circle9 sk-circle"></div>
  <div class="sk-circle10 sk-circle"></div>
  <div class="sk-circle11 sk-circle"></div>
  <div class="sk-circle12 sk-circle"></div>
</div>





